services:
  mariadb:
    image: mariadb:11.8.2
    container_name: ${CONTAINER_NAME}
    restart: always
    environment:
      MARIADB_ROOT_PASSWORD: ${PANEL_DB_ROOT_PASSWORD}
      TZ: America/Sao_Paulo
    networks:
      - icontainer-network
    ports:
      - ${PANEL_APP_PORT_HTTP}:3306
    volumes:
      - ./data/:/var/lib/mysql
      - ./conf/my.cnf:/etc/my.cnf
      - ./log:/var/log/mysql
      - /etc/localtime:/etc/localtime:ro
    labels:
      createdBy: "icontainer"
networks:
  icontainer-network:
    external: true
